<?php

namespace Devurai\AcceptbluePaymentPro\DTOs\AcceptBlueCustomer;

use Devurai\AcceptbluePaymentPro\DTOs\BaseDTO;

class AcceptBlueCustomer extends BaseDTO implements ABCustomer
{

    public function getIdentifier(): string
    {
        return $this->response['identifier'] ?? 'null';
    }

    public function getEmail(): string
    {
        return $this->response['email'] ?? 'null';
    }

    public function getFax(): string
    {
        return $this->response['fax'] ?? 'null';
    }

    public function getCustomerID(): int
    {
        return $this->response['customer_id'] ?? 0;
    }
}